org.apache.ignite.internal.processors.platform.dotnet

## Class PlatformDotNetConfigurationEx

- java.lang.Object
- - org.apache.ignite.platform.dotnet.PlatformDotNetConfiguration
  - - org.apache.ignite.internal.processors.platform.dotnet.PlatformDotNetConfigurationEx

All Implemented Interfaces:
  PlatformConfiguration, PlatformConfigurationEx

    public class PlatformDotNetConfigurationEx
    extends PlatformDotNetConfiguration
    implements PlatformConfigurationEx

Extended .Net configuration.

### Constructor Summary

Constructors
Constructor and Description
`PlatformDotNetConfigurationEx(PlatformDotNetConfiguration cfg, PlatformCallbackGateway gate, PlatformMemoryManagerImpl memMgr)` Copy constructor.

### Method Summary

Methods
`PlatformCallbackGateway` `gate()`
`PlatformMemoryManagerImpl` `memory()`
`String` `platform()`
`PlatformDotNetConfiguration` `unwrap()` Unwrap extended configuration.
`Collection<String>` `warnings()`
`void` `warnings(Collection<String> warnings)`

### Methods inherited from class org.apache.ignite.platform.dotnet.PlatformDotNetConfiguration

`getAssemblies, getBinaryConfiguration, setAssemblies, setBinaryConfiguration, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PlatformDotNetConfigurationEx

    public PlatformDotNetConfigurationEx(PlatformDotNetConfiguration cfg,
                                 PlatformCallbackGateway gate,
                                 PlatformMemoryManagerImpl memMgr)

Copy constructor.

Parameters:
  `cfg` - Configuration to copy.
  `gate` - Native gateway.
  `memMgr` - Memory manager.

### Method Detail

#### gate

    public PlatformCallbackGateway gate()

Specified by:
  `gate` in interface `PlatformConfigurationEx`

#### memory

    public PlatformMemoryManagerImpl memory()

Specified by:
  `memory` in interface `PlatformConfigurationEx`
Returns:
  Memory manager.

#### platform

    public String platform()

Specified by:
  `platform` in interface `PlatformConfigurationEx`
Returns:
  Platform name.

#### warnings

    public Collection<String> warnings()

Specified by:
  `warnings` in interface `PlatformConfigurationEx`
Returns:
  Warnings to be displayed on grid start.

#### warnings

    public void warnings(Collection<String> warnings)

Parameters:
  `warnings` - Warnings.

#### unwrap

    public PlatformDotNetConfiguration unwrap()

Unwrap extended configuration.

Returns:
  Original configuration.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.6.0
Release Date | : May 18 2016